Subject: bug#41807: closed (Re: [bug#41807] [PATCHES] Add python-sanic and dependencies.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Dec 2020 07:05:01 +0000

Your bug report

#41807: [PATCHES] Add python-sanic and dependencies.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41807: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41807
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41807] [PATCHES] Add python-sanic and dependencies.
From: Leo Famulari <[email-masked]>
To: Lars-Dominik Braun <[email-masked]>
Cc: [email-masked], paul <[email-masked]>
Date: Tue, 15 Dec 2020 02:04:24 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Nov 13, 2020 at 09:59:14AM +0100, Lars-Dominik Braun wrote:
> Hi,
> 
> > I managed to package sanic following your channel definition (and enabled
> > tests), I updated some packages, removed some other packages that were
> > already merged in Guix and produced an updated patch set.
> I’ve tested the patches with a real application and made some minor
> modifications pointed out by `guix lint`. Also python-sanic requests
> multidict==5.0.0, which we don’t have right now. But it seems to work with
> 4.7.5 just fine.

Thanks for the patches Giacomo and Lars-Dominik!

Pushed as e779dc8be048a85fa0e51013b1aed46082284937

`guix lint` reported that a few packages have newer versions available.
Can you take a look?

Subject: [PATCHES] Add python-sanic and dependencies.
From: paul <[email-masked]>
To: [email-masked]
Date: Thu, 11 Jun 2020 16:59:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I'm sending a patch series to add python-sanic, its dependencies and 
some dependencies of mypy.

Thanks for having a look at these patches,

Giacomo